function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = test.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(54, 104);
g1(1,1)=(-((-(params(25)*exp(y(1))))*T(35)));
g1(1,26)=(-(exp(y(26))*T(35)-(-(params(25)*params(24)*(-(exp(y(26))*params(25)))))/T(36)));
g1(1,80)=(-(params(25)*params(24)*exp(y(80))))/T(36);
g1(1,29)=exp(y(29));
g1(2,28)=exp(y(28));
g1(2,2)=T(39);
g1(2,29)=(-(exp(y(29))*params(24)/exp(y(2))));
g1(3,81)=(-(y(63)*exp(y(81))/exp(y(86))));
g1(3,86)=T(70);
g1(3,63)=(-T(21));
g1(4,27)=params(18)*params(32)*exp(params(32)*y(27));
g1(4,29)=(-(exp(y(29))*exp(y(30))));
g1(4,30)=(-(exp(y(29))*exp(y(30))));
g1(5,31)=exp(y(31));
g1(5,3)=T(43);
g1(5,33)=T(45);
g1(5,23)=T(43);
g1(5,68)=T(45);
g1(6,32)=exp(y(32));
g1(6,4)=T(49);
g1(6,34)=T(51);
g1(6,23)=T(49);
g1(6,68)=T(51);
g1(7,33)=T(2)*exp(y(35));
g1(7,34)=T(3);
g1(7,35)=T(2)*exp(y(35));
g1(7,36)=T(3);
g1(7,37)=exp(y(37));
g1(7,38)=(-exp(y(38)));
g1(7,44)=(-exp(y(44)));
g1(7,68)=T(2)*exp(y(35))+T(3);
g1(8,31)=T(40);
g1(8,32)=T(41);
g1(8,3)=T(44);
g1(8,4)=T(50);
g1(8,5)=T(44);
g1(8,6)=T(50);
g1(8,7)=(-(params(29)*(y(18)-y(19))*exp(y(7))));
g1(8,8)=(-(params(29)*y(19)*exp(y(8))));
g1(8,38)=exp(y(38))*exp(y(45));
g1(8,45)=exp(y(38))*exp(y(45));
g1(8,18)=(-(params(29)*exp(y(7))));
g1(8,19)=(-(params(29)*(exp(y(8))+exp(y(5))*exp(y(3))*(-exp(y(23)))+exp(y(6))*exp(y(4))*(-exp(y(23)))-exp(y(7)))));
g1(8,23)=(-(params(29)*T(4)));
g1(9,41)=exp(y(41));
g1(9,42)=(-(params(29)*exp(y(42))*exp(y(43))));
g1(9,43)=(-(params(29)*exp(y(42))*exp(y(43))));
g1(10,81)=T(5)*(exp(y(82))-y(63));
g1(10,82)=T(5)*exp(y(82));
g1(10,39)=T(56);
g1(10,85)=T(5)*(exp(y(82))-y(63));
g1(10,42)=(-(exp(y(42))*exp(y(39))/(1+exp(y(39)))));
g1(10,86)=(exp(y(82))-y(63))*T(71);
g1(10,63)=(-T(5));
g1(11,81)=T(5)*(exp(y(83))-y(63));
g1(11,83)=T(5)*exp(y(83));
g1(11,39)=T(57);
g1(11,85)=T(5)*(exp(y(83))-y(63));
g1(11,42)=T(60);
g1(11,86)=(exp(y(83))-y(63))*T(71);
g1(11,63)=(-T(5));
g1(12,81)=T(5)*(y(62)-y(63));
g1(12,39)=(-((-(exp(y(39))*(-y(40))))/T(55)));
g1(12,40)=(-((-1)/(1+exp(y(39)))));
g1(12,85)=T(5)*(y(62)-y(63));
g1(12,86)=(y(62)-y(63))*T(71);
g1(12,62)=T(5);
g1(12,63)=(-T(5));
g1(13,81)=(-T(7));
g1(13,37)=T(8);
g1(13,38)=T(54);
g1(13,39)=T(59);
g1(13,40)=exp(y(37))/exp(y(38));
g1(13,85)=(-T(7));
g1(13,42)=exp(y(42))*exp(y(43));
g1(13,43)=exp(y(42))*exp(y(43));
g1(13,86)=T(73);
g1(13,63)=(-T(6));
g1(14,33)=T(46);
g1(14,34)=T(52);
g1(14,35)=T(46);
g1(14,36)=T(52);
g1(14,38)=(-((-(exp(y(38))*(T(2)*exp(y(35))+exp(y(36))*exp(y(34))*params(27))))/T(53)));
g1(14,43)=exp(y(43));
g1(14,68)=T(46);
g1(15,46)=exp(y(46));
g1(15,47)=(-T(9));
g1(15,48)=T(77);
g1(15,70)=T(85);
g1(16,81)=(-T(13));
g1(16,45)=(-(exp(y(87))*T(10)*T(63)*T(64)));
g1(16,86)=(-(exp(y(87))*T(10)*T(11)*T(64)));
g1(16,47)=exp(y(47));
g1(16,87)=(-T(13));
g1(16,50)=(-(exp(y(50))*exp(y(52))));
g1(16,52)=(-(exp(y(50))*exp(y(52))));
g1(16,70)=(-(exp(y(87))*T(10)*T(12)*log(T(11))));
g1(17,81)=(-T(15));
g1(17,45)=(-(exp(y(48))*T(10)*T(63)*T(65)));
g1(17,86)=(-(exp(y(48))*T(10)*T(11)*T(65)));
g1(17,48)=exp(y(48))-T(15);
g1(17,52)=(-exp(y(52)));
g1(17,70)=(-(exp(y(48))*T(10)*T(14)*log(T(11))));
g1(18,49)=exp(y(52))*exp(y(49));
g1(18,51)=(-exp(y(51)));
g1(18,52)=exp(y(52))*exp(y(49));
g1(19,10)=(-(exp(y(11))*params(30)*T(61)*T(62)));
g1(19,45)=(-(exp(y(11))*params(30)*T(16)*T(62)));
g1(19,46)=(-((1-params(30))*(-y(70))*exp(y(46)*(-y(70)))));
g1(19,11)=(-T(18));
g1(19,49)=exp(y(49));
g1(19,70)=(-((1-params(30))*exp(y(46)*(-y(70)))*(-y(46))+exp(y(11))*params(30)*T(17)*log(T(16))));
g1(20,10)=(-(exp(y(45)*(y(70)-1))*params(30)*params(31)*(1-y(70))*exp(y(10)*params(31)*(1-y(70)))));
g1(20,45)=(-(params(30)*exp(y(10)*params(31)*(1-y(70)))*(y(70)-1)*exp(y(45)*(y(70)-1))));
g1(20,46)=(-((1-params(30))*(1-y(70))*exp(y(46)*(1-y(70)))));
g1(20,70)=(-((1-params(30))*exp(y(46)*(1-y(70)))*(-y(46))+exp(y(45)*(y(70)-1))*params(30)*exp(y(10)*params(31)*(1-y(70)))*y(10)*(-params(31))+params(30)*exp(y(10)*params(31)*(1-y(70)))*y(45)*exp(y(45)*(y(70)-1))));
g1(21,27)=(-(exp(y(54))*exp(y(13)*params(5))*(1-params(5))*exp(y(27)*(1-params(5)))));
g1(21,51)=exp(y(51));
g1(21,13)=(-(exp(y(27)*(1-params(5)))*exp(y(54))*params(5)*exp(y(13)*params(5))));
g1(21,54)=(-(exp(y(54))*exp(y(13)*params(5))*exp(y(27)*(1-params(5)))));
g1(22,13)=(-((1-params(6))*exp(y(13))));
g1(22,53)=exp(y(53));
g1(22,56)=(-exp(y(56)));
g1(23,81)=T(19);
g1(23,88)=T(78);
g1(23,89)=T(78);
g1(23,53)=T(79);
g1(23,57)=(-exp(y(57)));
g1(23,90)=exp(y(81))*(1-params(6))*exp(y(90));
g1(24,27)=T(37);
g1(24,30)=(-exp(y(30)));
g1(24,50)=T(20);
g1(24,51)=T(20);
g1(25,81)=(1-params(50))*(-T(22));
g1(25,33)=T(2)*(1+y(58))*(1-params(50));
g1(25,84)=T(47);
g1(25,86)=T(75);
g1(25,58)=params(50)+T(2)*(1-params(50));
g1(25,91)=(1-params(50))*(-(T(21)*params(4)*exp(y(94))*exp(y(84))));
g1(25,68)=T(2)*(1+y(58))*(1-params(50));
g1(25,94)=T(47);
g1(26,33)=(-T(23));
g1(26,45)=T(67);
g1(26,15)=T(80);
g1(26,55)=(-(T(2)*exp(y(55))));
g1(26,56)=exp(y(56))*y(71)*exp(y(59));
g1(26,59)=exp(y(56))*y(71)*exp(y(59));
g1(26,68)=(-T(23));
g1(26,71)=exp(y(56))*exp(y(59));
g1(27,57)=exp(y(57));
g1(27,58)=(-(y(71)*exp(y(59))));
g1(27,59)=(-(exp(y(59))+exp(y(59))*y(58)*y(71)));
g1(27,71)=(-(y(58)*exp(y(59))));
g1(28,56)=exp(y(56));
g1(28,16)=(-(exp(y(60))*T(83)));
g1(28,60)=(-(exp(y(60))*T(27)+exp(y(60))*(-(T(24)*T(25)*2*T(26)))));
g1(29,81)=(-T(31));
g1(29,59)=(-(exp(y(59))*(T(27)-T(25)*params(15)*T(26))));
g1(29,92)=(-T(31));
g1(29,16)=(-(exp(y(59))*(T(83)-(params(15)*T(26)*T(82)+T(25)*params(15)*T(82)))));
g1(29,60)=(-(exp(y(59))*((-(T(24)*T(25)*2*T(26)))-(T(25)*params(15)*T(26)+T(25)*params(15)*T(25)))+T(30)*params(15)*exp(y(81))*exp(y(92))*T(84)+T(29)*T(84)*2*T(28)));
g1(29,93)=(-(T(30)*params(15)*exp(y(81))*exp(y(92))*T(28)+T(29)*T(28)*2*T(28)));
g1(30,45)=(-((1-params(34))*params(35)));
g1(30,52)=(-((1-params(34))*params(36)));
g1(30,17)=(-params(34));
g1(30,61)=1;
g1(30,101)=(-params(43));
g1(31,61)=(-(1-params(51)));
g1(31,62)=1;
g1(32,62)=(-1);
g1(32,63)=1;
g1(33,33)=T(2)*y(64);
g1(33,34)=T(32);
g1(33,37)=(-exp(y(37)));
g1(33,64)=T(2);
g1(33,65)=T(32);
g1(33,68)=T(2)*y(64)+T(32);
g1(34,20)=(-params(37));
g1(34,64)=1;
g1(34,99)=(-params(44));
g1(35,21)=(-(params(38)*exp(y(21))));
g1(35,65)=exp(y(65));
g1(35,100)=(-params(45));
g1(36,34)=(-T(33));
g1(36,45)=(-(exp(y(45))*params(10)))/T(66)-T(68);
g1(36,66)=exp(y(66));
g1(36,67)=(-1);
g1(36,68)=(-T(33));
g1(37,22)=(-params(39));
g1(37,66)=1;
g1(37,97)=(-params(47));
g1(38,14)=(-params(40));
g1(38,54)=1;
g1(38,96)=(-params(46));
g1(39,9)=(-params(34));
g1(39,42)=1;
g1(39,98)=(-params(48));
g1(40,35)=(-exp(y(35)));
g1(40,55)=exp(y(55));
g1(40,64)=(-1);
g1(41,36)=(-exp(y(36)));
g1(41,65)=(-exp(y(65)));
g1(42,26)=(-exp(y(26)));
g1(42,52)=exp(y(52));
g1(42,60)=(-exp(y(60)));
g1(42,66)=(-exp(y(66)));
g1(43,23)=(-params(42));
g1(43,68)=1;
g1(43,102)=params(49);
g1(44,1)=(-((-(params(25)*exp(y(1))))/T(1)));
g1(44,26)=(-(exp(y(26))/T(1)));
g1(44,27)=params(18)*T(38)/(1+params(32));
g1(44,69)=1;
g1(44,95)=(-params(24));
g1(45,24)=(-params(34));
g1(45,70)=1;
g1(45,103)=(-1);
g1(46,55)=(-((1-params(34))*params(7)*T(81)));
g1(46,25)=(-params(34));
g1(46,71)=1;
g1(46,104)=(-1);
g1(47,31)=(-1);
g1(47,63)=1/y(63);
g1(47,72)=1;
g1(48,32)=(-1);
g1(48,63)=1/y(63);
g1(48,73)=1;
g1(49,12)=1;
g1(49,52)=(-1);
g1(49,74)=1;
g1(50,1)=1;
g1(50,26)=(-1);
g1(50,75)=1;
g1(51,16)=1;
g1(51,60)=(-1);
g1(51,76)=1;
g1(52,21)=1;
g1(52,65)=(-1);
g1(52,79)=1;
g1(53,5)=1;
g1(53,35)=(-1);
g1(53,77)=1;
g1(54,6)=1;
g1(54,36)=(-1);
g1(54,78)=1;

end
