function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 102);

T = test.dynamic_g1_tt(T, y, x, params, steady_state, it_);

T(86) = getPowerDeriv(T(1),(-1),2);
T(87) = (-(((-((1+params(4)*exp(y(68))*exp(y(33)))*exp(y(23))*exp(y(3))))*T(42)-(-((1+params(4)*exp(y(68))*exp(y(33)))*exp(y(23))*exp(y(3))))*(T(42)+T(42)))/(T(42)*T(42))));
T(88) = (-((-(params(4)*exp(y(68))*exp(y(33))*exp(y(23))*exp(y(3))))/T(42)));
T(89) = (-(((-((1+params(4)*exp(y(68))*exp(y(34)))*exp(y(23))*exp(y(4))))*T(48)-(-((1+params(4)*exp(y(68))*exp(y(34)))*exp(y(23))*exp(y(4))))*(T(48)+T(48)))/(T(48)*T(48))));
T(90) = (-((-(params(4)*exp(y(68))*exp(y(34))*exp(y(23))*exp(y(4))))/T(48)));
T(91) = (T(69)*(-(exp(y(86))*exp(y(81))*exp(y(85))))-(-(exp(y(86))*exp(y(81))*exp(y(85))))*(T(69)+T(69)))/(T(69)*T(69));
T(92) = (-((-(T(2)*exp(y(35))*exp(y(38))))/T(53)));
T(93) = (-((-(exp(y(38))*exp(y(36))*exp(y(34))*params(27)))/T(53)));
T(94) = (exp(y(45)*params(31))*exp(y(45)*params(31))*(-(exp(y(86))*params(31)*params(31)*exp(y(45)*params(31))))-(-(exp(y(86))*params(31)*exp(y(45)*params(31))))*(exp(y(45)*params(31))*params(31)*exp(y(45)*params(31))+exp(y(45)*params(31))*params(31)*exp(y(45)*params(31))))/(exp(y(45)*params(31))*exp(y(45)*params(31))*exp(y(45)*params(31))*exp(y(45)*params(31)));
T(95) = getPowerDeriv(T(11),y(70),2);
T(96) = getPowerDeriv(T(11),y(70)-1,2);
T(97) = T(11)^(y(70)-1-1);
T(98) = getPowerDeriv(T(16),y(70),2);
T(99) = T(16)^(y(70)-1);
T(100) = ((-(exp(y(60))*exp(y(16))))*exp(y(16))*exp(y(16))-(-(exp(y(60))*exp(y(16))))*(exp(y(16))*exp(y(16))+exp(y(16))*exp(y(16))))/(exp(y(16))*exp(y(16))*exp(y(16))*exp(y(16)));
T(101) = (-(T(24)*(2*T(26)*T(100)+T(82)*2*T(82))));
T(102) = ((-(exp(y(60))*exp(y(93))))*exp(y(60))*exp(y(60))-(-(exp(y(60))*exp(y(93))))*(exp(y(60))*exp(y(60))+exp(y(60))*exp(y(60))))/(exp(y(60))*exp(y(60))*exp(y(60))*exp(y(60)));

end
