function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 34);

T(1) = exp(y(26))-params(25)*exp(y(1));
T(2) = exp(y(68))*exp(y(33));
T(3) = exp(y(34))*exp(y(68))*params(27)*exp(y(36));
T(4) = exp(y(3))*exp(y(23))*(exp(y(31))-y(19))*exp(y(5))+exp(y(4))*exp(y(23))*(exp(y(32))-y(19))*exp(y(6));
T(5) = exp(y(81))*exp(y(85))/exp(y(86));
T(6) = exp(y(85))*exp(y(81))*(1+exp(y(39)))/exp(y(86));
T(7) = y(63)*T(6);
T(8) = exp(y(37))*y(40)/exp(y(38));
T(9) = y(70)/(y(70)-1)*exp(y(47))/exp(y(48));
T(10) = exp(y(81))*params(30);
T(11) = exp(y(86))/exp(y(45)*params(31));
T(12) = T(11)^y(70);
T(13) = T(10)*T(12)*exp(y(87));
T(14) = T(11)^(y(70)-1);
T(15) = exp(y(48))*T(10)*T(14);
T(16) = exp(y(45))/exp(params(31)*y(10));
T(17) = T(16)^y(70);
T(18) = params(30)*T(17)*exp(y(11));
T(19) = exp(y(81))*(params(5)*exp(y(88))*exp(y(89))/exp(y(53))+(1-params(6))*exp(y(90)));
T(20) = exp(y(51))*exp(y(50))*(1-params(5))/exp(y(27));
T(21) = exp(y(81))/exp(y(86));
T(22) = T(21)*(1+params(4)*exp(y(94))*exp(y(84))*(1+y(91)));
T(23) = T(2)*(exp(y(55))-params(4)*exp(y(15))/exp(y(45)));
T(24) = params(15)/2;
T(25) = exp(y(60))/exp(y(16));
T(26) = T(25)-1;
T(27) = 1-T(24)*T(26)^2;
T(28) = exp(y(93))/exp(y(60));
T(29) = params(15)*exp(y(81))*exp(y(92))*(T(28)-1);
T(30) = T(28)^2;
T(31) = T(29)*T(30);
T(32) = exp(y(68))*exp(y(34))*exp(y(65));
T(33) = exp(y(68))*exp(y(34))*params(10)*(1-params(4)/exp(y(45)));
T(34) = exp(y(55))/params(17);

end
